NXOpen .NET Reference  12.0.0
Public Types | Public Member Functions | Properties | List of all members
NXOpen.ToolDesigner.AssignWeldsBuilder Class Reference

AssignWeldsBuilder More...

Inheritance diagram for NXOpen.ToolDesigner.AssignWeldsBuilder:
NXOpen.Builder NXOpen.GeometricUtilities.IComponentBuilder

Public Types

enum  Menu { AllWeldsinScope, VolumeScope }
 Represents the weld's objects types More...
 

Public Member Functions

unsafe void FetchWeldPointsInScope (out NXOpen.TaggedObject[] weldPoints)
 Fetch Weld Points In Scope More...
 
unsafe void VolumeSearch (NXOpen.Point3d bottomVertex, NXOpen.Point3d upperVertex, out NXOpen.TaggedObject[] objects)
 Search for all the welds inside a certain box More...
 
unsafe void Assign (NXOpen.TaggedObject[] welds)
 Assign weld More...
 
unsafe void UnAssign (NXOpen.TaggedObject[] welds)
 UnAssign weld More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 

Properties

unsafe
NXOpen.SelectTaggedObjectList 
InvisibleSelection [get]
 Returns the weld selection getter More...
 

Detailed Description

AssignWeldsBuilder

To create a new instance of this class, use NXOpen.ToolDesigner.ToolDesignerManager.CreateAssignWeldsBuilder

Created in NX11.0.0

Member Enumeration Documentation

Represents the weld's objects types

Enumerator
AllWeldsinScope 
VolumeScope 

Member Function Documentation

unsafe void NXOpen.ToolDesigner.AssignWeldsBuilder.Assign ( NXOpen.TaggedObject[]  welds)

Assign weld

Created in NX11.0.1

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")

Parameters
welds
unsafe void NXOpen.ToolDesigner.AssignWeldsBuilder.FetchWeldPointsInScope ( out NXOpen.TaggedObject[]  weldPoints)

Fetch Weld Points In Scope

Created in NX11.0.0

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")

Parameters
weldPoints
unsafe void NXOpen.ToolDesigner.AssignWeldsBuilder.UnAssign ( NXOpen.TaggedObject[]  welds)

UnAssign weld

Created in NX11.0.1

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")

Parameters
welds
unsafe void NXOpen.ToolDesigner.AssignWeldsBuilder.VolumeSearch ( NXOpen.Point3d  bottomVertex,
NXOpen.Point3d  upperVertex,
out NXOpen.TaggedObject[]  objects 
)

Search for all the welds inside a certain box

Created in NX11.0.1

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")

Parameters
bottomVertex
upperVertex
objectsthe datums that were found

Property Documentation

unsafe NXOpen.SelectTaggedObjectList NXOpen.ToolDesigner.AssignWeldsBuilder.InvisibleSelection
get

Returns the weld selection getter

Created in NX11.0.0

License requirements: fp_fixture_planner ("FULL FIXTURE PLANNER")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.